abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 23:44 | Nová verze

Byla vydána verze 0.4.5 svobodného operačního systému ReactOS. Z novinek lze zdůraznit podporu kancelářského balíku Microsoft Office 2010. Podrobnosti v ChangeLogu.

Ladislav Hagara | Komentářů: 0
včera 23:11 | Komunita

Linphone 4.0 pro desktop přichází. Vývojáři tohoto multiplatformního open source VoIP a SIP klienta postupně představují nové vlastnosti. Verze 4.0 bude postavena na Qt [reddit].

Ladislav Hagara | Komentářů: 0
27.5. 22:22 | Komunita

Dle plánu byl měl Debian 9 s kódovým názvem Stretch vyjít v sobotu 17. června. Po celém světě se začínají plánovat Release Parties. Oznámeno bylo vydání čtvrté RC (release candidate) verze instalátoru pro Debian 9 Stretch.

Ladislav Hagara | Komentářů: 5
26.5. 22:22 | Komunita

V Norimberku probíhá do neděle 28. května openSUSE Conference 2017. Na programu je celá řada zajímavých přednášek. Sledovat je lze online. K dispozici jsou také videozáznamy (YouTube) již proběhnuvších přednášek. Dění lze sledovat na Twitteru.

Ladislav Hagara | Komentářů: 0
26.5. 11:33 | IT novinky

Red Hat kupuje společnost Codenvy stojící za stejnojmenným webovým (cloudovým) integrovaným vývojovým prostředím (WIDE) postaveném na Eclipse Che.

Ladislav Hagara | Komentářů: 0
26.5. 08:55 | Nová verze

V listopadu 2014 byl představen fork Debianu bez systemd pojmenovaný Devuan. Po dva a půl roce jeho vývojáři oznámili vydání první stabilní verze 1.0. Jedná se o verzi s dlouhodobou podporou (LTS) a její kódové jméno je Jessie, podle planetky s katalogovým číslem 10 464.

Ladislav Hagara | Komentářů: 15
25.5. 20:22 | Zajímavý článek

Nadace Raspberry Pi vydala již osmapadesáté číslo (pdf) stostránkového anglicky psaného časopisu MagPi věnovanému Raspberry Pi a projektům postaveným na tomto jednodeskovém počítači a druhé číslo (pdf) časopisu Hello World primárně určeného pro učitele informatiky a výpočetní techniky.

Ladislav Hagara | Komentářů: 0
25.5. 19:55 | Humor

Portál Stack Overflow informuje na svém blogu, že pomohl ukončit editor Vim už více než milionu vývojářů. V loňském roce například hledal odpověď na otázku Jak ukončit editor Vim v průměru 1 z 20 000 návštěvníků.

Ladislav Hagara | Komentářů: 13
25.5. 19:22 | Nová verze

Po pěti měsících od vydání verze 3.5.0 byla vydána nová stabilní verze 3.6.0, tj. první z nové řady 3.6, minimalistické linuxové distribuce zaměřené na bezpečnost Alpine Linux (Wikipedie). Z novinek lze zmínit například podporu dvou nových 64bitových platforem little-endian POWER machines (ppc64le) a IBM z Systems (s390x) nebo nové balíčky Rust 1.17.0, Cargo 0.18.0, GHC 8.0.2 a Julia 0.5.2.

Ladislav Hagara | Komentářů: 0
24.5. 21:33 | Bezpečnostní upozornění

V Sambě byla nalezena a opravena bezpečnostní chyba CVE-2017-7494. Má-li útočník právo ukládat soubory na vzdálený server, může tam uložit připravenou sdílenou knihovnu a přinutit smbd server k jejímu načtení a tím pádem ke spuštění libovolných příkazů. Chyba je opravena v upstream verzích 4.6.4, 4.5.10 a 4.4.14. Chyba se týká všech verzí Samby od verze 3.5.0 vydané 1. března 2010.

Ladislav Hagara | Komentářů: 7
Chystáte se pořídit CPU AMD Ryzen?
 (6%)
 (32%)
 (1%)
 (8%)
 (44%)
 (9%)
Celkem 631 hlasů
 Komentářů: 62, poslední 19.5. 01:57
    Rozcestník

    Dotaz: Xilinx WebPack v Debianu

    16.9.2005 20:53 ssil | skóre: 15
    Xilinx WebPack v Debianu
    Přečteno: 548×
    Xilinx má pro programování hradlových polí program WebPack i pro Linux, ale jen pro Red Had. Tušíte někdo, jak by se to dalo nainstalovat na Sarge? Stáhnul jsem si ten program a zjistil, že je to sh skript. Bude stačit z toho udělat spustitelný soubor a spustit?

    Odpovědi

    16.9.2005 21:15 Zdeněk Burda | skóre: 61 | blog: Zdendův blog | Praha
    Rozbalit Rozbalit vše Re: WebPack
    Teoreticky by to mohlo i v Debianu fungovat, ale bez bližšího prozkoumání nejde napsat co je třeba změnit/upravit.
    -- Nezdar není hanbou, hanbou je strach z pokusu.
    16.9.2005 21:35 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Tak jsem to skusil jen spustit, ale velice rychle jsem skončil na hlášce, že chybí nějaká sdílená knihovna libXm.so.3. Jinak ten skript má 380 M a rozumím (?) v něm asi tak prvním dvaceti řádkům. Pak už je to jen změť písmen (doslova). Není tu někdo kdo s tím něco dělal?
    16.9.2005 23:24 Ctirad Feřtr | skóre: 43 | Praha
    Rozbalit Rozbalit vše Re: WebPack
    Ale jó. Kamarád pod tím vyvíjí. Dřív používal win verzi pod wine a taky šlapala.

    Ten linux release je prostě potřeba nainstalovat spuštěním inkriminovaného skriptu a pak postupně doinstalovávat (pokud možno standardní distribuční) všechny knihovny, co mu tam chybí dokud to nezačne fungovat. Nejspíš bude potřeba i vytvořit nějakej symlink kvůli jiné verzi nějaké knihovny. Prostě totální opruz a učebnicová ukázka toho, jak se aplikace pro linux nemají distribuovat.
    17.9.2005 21:45 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Tak jsem dnešek strávil nad otázkou co s tím. Nerad bych se kvůli tomu vracel k win a tak jsem smířený s tím, že to nebude jednoduché. Jenže kde ty potřebné knihovny vzít? Nejvíc by se mi líbilo, kdyby to byly deb knihovny, jenže už ta první chybějící tam není (to jsem ostatně očekával). RedHat neznám a tak je možné, že knihovny jsou tam. Jenže i když je najdu, půjde to jen prostě převzít?
    17.9.2005 22:52 volvox | skóre: 16
    Rozbalit Rozbalit vše Re: WebPack
    http://packages.debian.org/cgi-bin/search_contents.pl?word=libXm.so.3&searchmode=searchfiles&case=insensitive&version=stable&arch=i386
    18.9.2005 20:57 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Dík, tohle mě postrčilo dál. Jenže jsem se dozvěděl, že nemám libcurl.so.2 a ten marně hledám nejenom ve stable, ale i v testing a unstable. Zato jsem našel libcurl3 a ten mám dokonce nainstalovaný. Tak jsem udělal link libcurl3 -> libcurl2 a znovu spustil. Pořád však dostávám hlášku, že libcurl.so.2 nemám. Ve FAQ k verzi 3 je bod 5.8, který popisuje můj problém jako chybějící přilinkování a odkazuje na man ld.so a man ld. Jenže já spuštěním toho skriptu vlastně spouštím instalátor a když jsem se opět podíval do toho skriptu, tak v té části, kterou chápu není nic, co by připomínalo linkování. Postrčíte mě ještě?
    18.9.2005 21:33 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Tak už jsem se dostal i přes to libcurl, ale zastavilo mě

    Wind/U x-toolkit Error:wuDisplay: nelze otevřít display

    Předpokládám, že mi zas něco chybí, ale vůbec netuším co. Poradíte?
    18.9.2005 21:55 Honza
    Rozbalit Rozbalit vše Re: WebPack
    Nechybi mu uz nic. Jenom se ISE (libovolna verze od WebPack pres BaseX po Foundation) odmita smirit s tim, ze promenna DISPLAY muze mit i jinou hodnotu nez tu, kterou samo uznava. Staci vam tedy jenom nastavit DISPLAY na hodnotu :0 (export DISPLAY=:0) a uz to pobezi.
    Preji hodne uspechu s Linuxovou verzi. Z osobni zkusenosti musim poznamenat, ze integrovane prostredi je oproti Windows verzi horsi a pomalejsi, ale pokud se pouzivaji pouze command-line nastroje, je vsechno v poradku.
    18.9.2005 22:40 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Tisíceré díky, ale můžu-li ještě prosit jednu radu. Dostal jsem se na Begin Installation, ale tam nemám nicčím bych to spustil. Co dělám blbě?
    18.9.2005 23:00 Honza
    Rozbalit Rozbalit vše Re: WebPack

    Dost dobře jsem nepochopil, co se vlastně děje. Instaloval jsem ISE WebPack do různých distribucí (Fedora, Mandrake, Ubuntu, ...), osobně používám plnou verzi ISE Foundation v Gentoo a po překonání počátečních problémů s knihovnami a proměnnou DISPLAY už vše fungovalo vždy tak jak má.

    Ve chvíli, kdy se vám podaří spustit ten 300MB "skript", tak by se měl rozbalit archiv, který je obsažen se skriptem společně v jednom souboru. Po jeho rozbalení se automaticky spustí klikací instalace. Pokud se tak neděje, popište přesně co děláte a jaké dostáváte odezvy na vaše kroky. Určitě se to tu vyřeší;)

    19.9.2005 17:37 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Tak jsem to všechno ještě jednou vyzkoušel, ale nezbývá než to tady obsáhle popsat. Tedy jako root z konzoly bez spuštěných KDE dám nejdřív export DISPLAY=:0 a pak spustím instalační skript. Nejdříve je kontrola integrity (OK) a pak začne rozbalování, jenže končím na hlášce

    Wind/U x-toolkit Error: wu Display: nelze otevřít display

    Domníval jsem se, že musím nejdřív spustit KDE a tam pak totéž z konzoly. Začátek je stejný, ale při rozbalování nejdříve dostávám hlášku

    Xlib: connection to ":0.0" refused by server

    Xlib: No protokol specified

    a pak znovu jako před tím, že display nelze otevřít. Ty dva řádky začínající Xlib by měly znamenat (?), že chci použít window někoho jiného. Proto jsem to zkusil jako user a proti vší logice jsem se dostal nejdál. Nejdříve na mě vyskočí okno

    STOP Note that Root privileges are required to install cable drivers on Linux

    Na ukončení je tam tlačítko OK, jenže po jeho stisknutí se mi spustí instalace. Odsouhlasím licenci, ID to přeskočí, pak mi to nabídne instalaci do adresáře /home/user a jinam mě to nepustí a tak odkliknu. Výběr modulů to přeskočí, v update Environment vyberu /home/user a otevře se mi Begin Installation. Ale tady definitivně končím. Dá se v tom poradit?
    19.9.2005 18:01 Honza
    Rozbalit Rozbalit vše Re: WebPack

    S instalací jako user do home zkušenosti nemám. Vždycky jsem to instaloval jako root pro všechny uživatele.

    Tam kde jste podle vašeho popisu skončil by měl konečně začít instalovat. Dneska večer budu instalovat nový počítač, na který přijde i ISE. Budu si přitom dělat poznámky a zkusím sem pak hodit nějaké podrobnější HOWTO. Čekejte ho někdy v noci nebo zítra.

    19.9.2005 18:16 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: WebPack
    Predem dik za ochotu. Jen jeste doplnuji, ze jsem to prave vyzkousel (proto ted pisu bez hacku) jako root z konzoly v xdm takze se mi instalacni obrazovky spustily bez varovani, ze nejsem root, ale vysledek je stejny. Vlastni instalace nezacne. Na konzole mam hlasku

    Wind/U Error(294):Unable to install Wind/U ini file (/tmp/selfgy4278/platfdata/WindU)

    a ze se mam podivat do manualu Wind/U. Jenze ten nemam a kde ho vzit netusim.
    19.9.2005 23:55 Honza
    Rozbalit Rozbalit vše Re: WebPack
    Ještě mě napadlo, že v update environment je třeba nechat nastavit všechny proměnné. Všechny jsou totiž třeba pro běh ISE. Některé z nich rušit má význam, pokud potřebujete provozovat současně více verzí na jednom počítači.
    20.9.2005 12:38 Martin
    Rozbalit Rozbalit vše Re: WebPack
    Pokud se přihlásíte do KDE jako normální user, pak spustíte např. xterm a v něm se přihlásíte jako root, musíte před přihlášením jako root v tom xtermu povolit přístup k X serveru pomocí xhost +localhost, aby to fungovalo.
    19.9.2005 23:52 Honza
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu

    Tak jsem právě projel celou instalaci na FC4 a ISE WebPACK funguje opět bez problémů. Uznávám, že na Debianu se to bude asi trochu lišit, ale ne zas o tolik, protože jsem WebPACK stejným postupem kdysi nainstaloval i v Ubuntu.

    Instalaci je třeba provádět v X, nejlépe jako root (pokud tedy chcete nainstalovat soft pro všechny uživatele).

    1. Spustit nějakou konzoli (xterm, gnome-terminal, konsole, ...), přihlásit se jako root (su) a nastavit proměnnou DISPLAY na hodnotu ":0". Používáte-li BASH, bude to:
      export DISPLAY=:0
    2. Instalační soubor obsahuje kromě vlastního skriptu i binární archiv s celou instalací. Jelikož pravděpodobně nebudete mít v systému nainstalovány všechny potřebné knihovny, doporučuji kvůli pokusům instalaci nejdříve rozbalit:
      ./WebPACK_71_fcfull_i.sh --keep
      Je docela pravděpodobné, že už teď neproběhne vše hladce a bude vám chybět nějaká knihovna. V tom případě se mrkněte na následující bod.
      Ve chvíli, kdy se výše uvedený příkaz skutečně spustí, bude vás informovat o kontrole integrity archivu a pak o tom, že rozbaluje instalátor. Rozbalená kompletní instalace se bude po skončení nacházet v podadresáři:
      wpdl_all_lin.build
    3. Přejděte do vytvořeného adresáře a pokuste se konečně spustit vlastní instalaci:
      ./setup
      Pokud instalační skript nebo vlastní instalátor narazí na nesplněnou závislot, vypíše na konzoli jméno chybějící knihovny a skončí. Podle vaší distribuce tedy najděte správný balíček obsahující požadovanou knihovnu, nainstalujte jej a pokračujte další iterací;) V čerstvé instalaci FC4 bylo nutné doinstalovat následující knihovny:
      • libXm.so.3 (Open Motif 2.2.3)
      • libstdc++.so.5 (standardní C++ knihovny pro GCC 3.3.4)
      • libcurl.so.2 (ve všech novějších distribucích se vyskytuje libcurl.so.3, stačí na něj vytvořit symbolický link)

    4. Až budete mít nainstalovány všechny potřebné knihovny, spustí "setup" grafickou instalaci. Na konzoli to vyhodí chybu o tom, že Wind/U nemůže nainstalovat ini soubor, ale to berte s rezervou. Na instalaci to nemá vliv (k Wind/U pak přidám ještě poznámku dole).

    5. Vlastní instalace je v grafice a probíhá stylem odklikávání "next". Ještě malá poznámka - na jednom počítači jsem pro spuštění instalace musel ještě v konzoli povolit globální přístup k X serveru:
      xhost +
      což ale rozhodně nedoporučuji na počítači bez správně nastaveného firewallu.
      Během instalace stačí:
      • Potvrdit 3 licence
      • Vybrat cílový adresář - osobně pro globální instalaci používám /opt/Xilinx, ale je to jedno, stačí libovolný adresář, kam budou mít uživatelé přístup
      • Potvrdit nastavení systémových proměnných - instalace vytvoří v cílovém adresáři skripty settings.sh a settings.csh pro nastavení těchto proměnných (např. "source /opt/Xilinx/settings.sh")
      • Spustit instalaci - stránka "Begin Installation" obsahuje rekapitulaci předchozích nastavení, instalace se spustí překvapivě kliknutím na tlačítko install

    6. Během instalace se ještě objeví chyba s instalací ovladačů pro programovací kabely. Ovladače jsou totiž binární, pro jádro 2.4.x (myslím, že 2.4.13, ale nejsem si jistý). Pokud nechcete z Linuxu součástky konfigurovat, můžete chyby klidně ignorovat. Existuje možnost, jak ovladače zprovoznit, ale je to na delší příběh. Doporučuji hledat na Google.

    7. A po chvilce (spíš delší chvíli) je ISE WebPACK nainstalován. Pro vyzkoušení můžete vyťukat:
      source <instdir>/setting.sh
      ise
      Pokud bude WebPACK používán častěji a/nebo více uživateli, můžete nastavení proměnných přidat třeba do /etc/profile. A před spuštěním ISE nezapomeňte na nastavení DISPLAY. Bez něho se bohužel nespustí.

    Nedá mi to, abych si na závěr trochu nezanadával. Linuxová verze Xilinx ISE (všechny varianty od free WebPACK až po Foundation za $1500 ročně) je ukázkový příklad toho, jak nemá aplikace vypadat. Závislost na jedné konkrétní distribuci (RHEL3) a jedné konkrétní verzi jádra (ovladače pro programovací kabely) jsou jenom špičkou ledovce. Nechápu například, proč je Linuxová verze pouze překompilovaná verze pro Windows s použitím non-free windows compatibility layer knihoven Wind/U. Uznávám, že Wine ještě pořád není na použitelné úrovni, ale nejde mi do hlavy, proč pro Linux prostě neupraví verzi pro Solaris, která mimochodem existuje déle než verze pro Windows.

    To jsem se rozepsal. Doufám, že to alespoň někomu pomůže;)

    20.9.2005 19:07 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Bohužel pořád končím na

    Wind/U X-toolkit Error:wuDisplay:Can`t open display

    Setup done!

    Ten Sarge je s jádrem 2.6.8, ale to by v této chvíli snad nemělo vadit. Ještě se pokusím to dát na jádro 2.4.27. Doufám, že to vyjde, protože jinak mě čeká koupě nového počítače s Win XP.
    20.9.2005 20:49 Honza
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Doufám, že to vyjde, protože jinak mě čeká koupě nového počítače s Win XP.

    Držím palce, ať to vyjde. Osobně Xilinx ISE v Linuxu používám a nemám s ním nejmenší problémy. Kupovat kvůli tomuhle softu Windows je zbytečnost.

    20.9.2005 19:18 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Rozdíl je mezi distry, které mají implicitně zapnutý a nakonfigurovaný pam_xauth, takže po
    su -
    v X terminálu můžete spouštět X programy, protože se autorizační cookie vyexportoval automaticky, a těmi, které nemají, takže se to musí zařídit ručně a explicitně. Vyhledávání pam_xauth by mělo najít thread, kde je to popsáno, včetně dalších variant.
    20.9.2005 20:13 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Tak jsem to zkusil na tom 2.4.27 a vsim jsem prosel hladce az k bodu 5. stisknout tlacitko install. Ja ho tam proste nemam. Uz me napadlo jestli ho nemam mimo obrazovku a to i kdyz zasunu spodni listu. Na sirku jsou ta instalacni okna evidentne vetsi, ale do stran neni problem to posunout. Nahoru to ale posunu jen na vrch obrazovky a co je dole nevim. Muze to byt jen takova blbost?
    20.9.2005 20:43 Honza
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    No, tlačítka back, install, cancel jsou opravdu na tom okně "begin install" úplně dole. Jestli máte tedy tak malé rozlišení, že se celé okno nevejde na obrazovku, může to být opravdu ten důvod.
    21.9.2005 17:16 ssil | skóre: 15
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Honzo, tisíceré díky. Už mi to funguje a to dokonce i na tom jádru 2.6.8. Možná se časem obrátím o radu stran driverů pro programovací kabely, ale nejdříve to skusím s kamarádem Googlem. Pro dnešek mám radosti dost.
    21.9.2005 20:44 Honza
    Rozbalit Rozbalit vše Re: Xilinx WebPack v Debianu
    Jsem rád, že to funguje. Přeju hodně úspěchů s FPGA.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.